(*
Copyright 2011 Christian Sternagel, René Thiemann

This file is part of IsaFoR/CeTA.

IsaFoR/CeTA is free software: you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

IsaFoR/CeTA is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along
with IsaFoR/CeTA. If not, see <http://www.gnu.org/licenses/>.
*)
theory Ceta
imports
  Pre_Ceta 
  "~~/src/HOL/Library/Efficient_Nat" 
begin
 
lemma [code_unfold]: "Suc x = x + 1" by simp
declare eval_list_haskell[code_unfold]

(*
export_code certify_proof in Haskell module_name Ceta file "../generated/Haskell"
export_code certify_proof in OCaml module_name Ceta file "generated/OCaml/Ceta.ml"
export_code certify_proof in SML module_name Ceta file "generated/SML/Ceta.ML"
export_code certify_proof in Scala module_name Ceta file "generated/Scala/Ceta.scala"
export_code certify_proof parseCertProblem termifyCR termifyCP in Eval module_name EvalCeta file "generated/SML/EvalCeta.ML"
*)

end

